Несколько дней назад Intel подтвердила циркулировавшие ранее слухи о том, что её последние чипы для компьютеров, серверов и устройств Интернета вещей являются уязвимыми для удалённого взлома,пишет портал ZDNet. Проблема связана с интегрированным модулем Management Engine (ME), в котором выявлены множественные дыры безопасности. Они позволяют злоумышленникам удалённо запускать вредоносное ПО, получать привилегированный доступ и брать компьютер под контроль.

Уязвимости подвержены процессоры Core шестого, седьмого и восьмого поколений (Skylake, Kaby Lake и Kaby Lake R), а также чипы Pentium, Celeron, Atom и многие процессоры Xeon. Несмотря на то, что Intel выпустила исправления для подсистемы ME и поставщики компьютерных систем адаптируют их для своих конечных разработок, сразу три вендора начали продавать ноутбуки с деактивированным ME. Ими стали Purism, System76, а также Dell.

Интересно, что Purism начала предлагать подобное еще в октябре 2017 г., до того, как Intel признала наличие серии уязвимостей. Пока минимум три модели (это бизнес-ноутбуки) можно приобрести с опцией «Intel vPro — ME Inoperable, Custom Order», то есть с отключенной подсистемой ME. Что интересно, за это придётся доплатить от 15 до 30 долл.

Также стоит отметить, что сама Intel не предоставляет производителям никаких возможностей по управлению ME. То есть не даёт возможности отключить данную подсистему. Соответственно, появление таких ПК — это сугубо инициатива производителей, которые реализуют её своими силами. Примечательно, что ME будет отключен не только в новых ноутбуках System76, но и в уже проданных устройствах вендора на базе шестого, седьмого и восьмого поколений процессоров Intel, для которых будет подготовлено специальное обновление. Оно будет доставлено пользователям Ubuntu 16.04 LTS, Ubuntu 17.04, Ubuntu 17.10 и Pop!_OS 17.10 при наличии в системе пакета system76-driver (ppa:system76-dev/stable) с интерфейсом установки драйверов. Пользователям других систем будет предоставлена утилита командной строки для установки обновлений прошивки.

В конце ноября Intel опубликовала инструмент для Linux и Windows, чтобы помочь администраторам и пользователям определить, являются ли их системы уязвимыми. Также компания выпустила исправление для своих клиентов, занимающихся выпуском компьютеров. Но пока что лишь Dell, Lenovo и сама Intel (для своих устройств NUC и Compute Sticks) перечислили пострадавшие системы. И эти списки достаточно большие, учитывая количество затронутых процессоров.